package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.auth.api.enums.UserLockFlag;
import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class TeacherQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "科目编号")
    private Integer subjectId;

    @ApiModelProperty(value = "机构编号")
    private Integer organId;

    @ApiModelProperty(value = "教师工作性质")
    private JobNatureEnum jobNature;

    @ApiModelProperty(value = "是否试用期")
    private YesOrNoEnum isProbationPeriod;

    @ApiModelProperty(value = "账号状态")
    private UserLockFlag lockFlag;

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public JobNatureEnum getJobNature() {
        return jobNature;
    }

    public void setJobNature(JobNatureEnum jobNature) {
        this.jobNature = jobNature;
    }

    public YesOrNoEnum getIsProbationPeriod() {
        return isProbationPeriod;
    }

    public void setIsProbationPeriod(YesOrNoEnum isProbationPeriod) {
        this.isProbationPeriod = isProbationPeriod;
    }

    public UserLockFlag getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(UserLockFlag lockFlag) {
        this.lockFlag = lockFlag;
    }
}
